Bug 33370 - Dev AU download of fastjavac.nbm broken
Dev AU download of fastjavac.nbm broken
Status: VERIFIED FIXED
Product: updatecenters
Classification: Unclassified
Component: AU Masters
3.x
PC All
: P1 (vote)
: TBD
Assigned To: rnovak
nbbuild-issues@ide
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-02 16:09 UTC by Jesse Glick
Modified: 2003-12-11 14:13 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-05-02 16:09:15 UTC
fastjavac.nbm is available on the Dev Stable AU
server, but the download URL is broken:

http://www.netbeans.org/download/nbms/35/java-fastjavac.nbm

However the 3.5 server has a working link:

http://www.netbeans.org/download/nbms/35/stable/Development_Tools/java-fastjavac.nbm

I strongly recommend that whatever tool or manual
editing process you use to publish NBMs should
check that all the links actually work! Just use
wget or something, it is not hard. It seems common
that the links are broken, and this should be so
easy to prevent.
Comment 1 Lukas Hasik 2003-09-25 14:15:12 UTC
realy annoying - downloading "Fastjavac Compiler" from "Netbeans
Autoupdate Center" is impossible
Should be easy fix.
We don't want to have broken UC -> P1
Who's going to fix it ? Robert or java guys ?
Comment 2 rnovak 2003-09-25 14:36:36 UTC
I'll will fix it ASAP.
The distribution URL for this module got broken when the new folder
structure was implemented on the UC for Netbeans 3.5
The same structure was supposed to be implemented on the UC for
Netbeans dev right after, but it wasn't. That's why there are couple
problems.
Comment 3 rnovak 2003-09-25 14:39:50 UTC
Fixed, I set the distribution URL to working link:
http://www.netbeans.org/download/nbms/35/stable/Development_Tools/java-fastjavac.nbm
Comment 4 Lukas Hasik 2003-09-25 15:29:25 UTC
verified, thankx

the changed link - is it long time solution or quick fix ?
Comment 5 rnovak 2003-09-25 15:35:45 UTC
This is long term and safe solution.
But I hope, that the new folder structure will be implemented on the
dev UC soon. It would prevent such problem for other modules.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo